let
  nixpkgs = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-22.05";
    rev = "cf034a867e08b7e083df1658c915c58456dbbde2";
  };
in

{
  inherit nixpkgs;
  nixos = nixpkgs // {
    suffix = "/nixos";
  };
  "channels-nixos-stable" = nixpkgs;
  "channels-nixos-unstable" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable";
    rev = "5f43d8b088d3771274bcfb69d3c7435b1121ac88";
  };
  "channels-nixos-unstable-small" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable-small";
    rev = "de5b3dd17034e6106e75746e81618e5bd408de8a";
  };
  "nixpkgs-master" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "master";
    rev = "3567e122f4d5bd1f2ef157e76e827077e037f78b";
  };
  "home-manager-module" = {
    url = "https://github.com/nix-community/home-manager";
    ref = "release-22.05";
    rev = "4a3d01fb53f52ac83194081272795aa4612c2381";
  };
}
